<table mat-table [dataSource]="getLines()" class="mat-elevation-z8">

  <!-- Position Column -->
  <ng-container matColumnDef="lineNo">
    <th mat-header-cell *matHeaderCellDef> Line No.</th>
    <td mat-cell *matCellDef="let element"> {{element}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="routes">
    <th mat-header-cell *matHeaderCellDef> Routes</th>
    <td mat-cell *matCellDef="let element">
      <mat-expansion-panel>
      <mat-list-item *ngFor="let route of linesWithRoutes.get(element)">
        {{route.lineNo}}
      </mat-list-item>
      </mat-expansion-panel>
    </td>
  </ng-container>


  <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
  <tr mat-row *matRowDef="let row; columns: columnsToDisplay;"></tr>
</table>
